Bug 99222 - Bad args to va_end()
Summary: Bad args to va_end()
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: mikmod   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-16 02:15 UTC by Ralph Siemsen
Modified: 2014-03-17 02:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-16 02:46:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ralph Siemsen 2003-07-16 02:15:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
mikmod-3.1.6/src/mconfedit.c from RawHide contains an evident bug on line 167,
va_end() is being called with the wrong argument.  Note sure how you guys are
compiling it but it chokes gcc-3.3 on armv4l platform.  Here's the patch:

--- mikmod-3.1.6/src/mconfedit.c.orig   2003-07-15 21:29:39.000000000 -0400
+++ mikmod-3.1.6/src/mconfedit.c        2003-07-15 21:29:58.000000000 -0400
@@ -164,7 +164,7 @@
        if (entry->help) free(entry->help);
        va_start(args,str);
        vsprintf(storage,str,args);
-       va_end(str);
+       va_end(args);

        len=MIN(strlen(storage),STORAGELEN);
        entry->help=malloc(sizeof(char)*(len+1));


Version-Release number of selected component (if applicable):
mikmod-3.1.6-21

How reproducible:
Always

Comment 1 Bill Nottingham 2003-07-16 02:46:52 UTC
Already fixed in -22.


Note You need to log in before you can comment on or make changes to this bug.